Subject: [pim] Reg: Hash mask for IPv6 BSR

From: nanda <[email-masked]>
Date: Mon, 01 Aug 2005 11:19:26 +0530

Hi,

            We have observed some strange behavior in hashing of
group-to-crp mapping. 

When we use hash mask length 128, we are getting mappings as given below

two c-rps for entire range of FF00::/8 with same priority (2009::1,
2001::2)

Now I use hash for mapping of various groups, the following results come

ff5e::1 2009::1

ff5e::2 2001::2

ff5e::3 2001::2

ff5e::4 2001::2

ff5e::5 2001::2

ff5e::6 2001::2

ff5e::7 2009::1

ff5e::8 2001::2

ff5e::8 2009::1

I want to know if it is correct. If hash mask length is 128, I was under
the impression that 

every alternate group, mapping will be changed, and they will be equally
distributed. But here

instead of alternate groups, rp mapping changes without any pattern. 

Is my implementation incorrect or mapping will come as shown above? Can
some please

confirm with their implementations. 

Thanks 

Nanda kishore

 

----------------------------------------
S. Nanda kishore
Senior Software Engineer,
Huawei Technologies,
Leela palace, Airport road,
Bangalore.
Mobile: 9880720721
(O) 25217152 Ext: 1613
----------------------------------------

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim